Feature # 30440 (Closed): Simple & automatic host registration WF

Repository & GPG keys

01/20/2021 11:42 AM - Leos Stejskal

Status: Closed   

Priority: Normal   

Assignee: Leos Stejskal   

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8402

  

Description

New feature in `Global Registration template` for adding

repository & gpg key before the host registration starts.

For adding repository (& key), users needs to specify

two parameters: `repo` & `repo_gpg_key`.

Associated revisions

Revision 8c84f4f5 - 04/19/2021 02:39 PM - Leos Stejskal

Fixes #31687 - Host Registration - Repository & GPG keys (#8402)

New feature in `Global Registration template` for adding

repository & gpg key before the host registration starts.

For adding repository (& key), users needs to specify

two parameters: `repo` & `repo_gpg_key`.

History

#1 - 02/04/2021 03:45 PM - Leos Stejskal

- Subject changed from Global Registration - Support for bootstrap.py workflow to Support for bootstrap.py workflow

- Parent task set to #30440

#2 - 03/18/2021 08:09 AM - Leos Stejskal

- Subject changed from Support for bootstrap.py workflow to Host Registration - Repository & GPG keys

- Description updated

#3 - 03/18/2021 08:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8402 added

#4 - 03/18/2021 09:16 AM - Leos Stejskal

- Subject changed from Host Registration - Repository & GPG keys to Repository & GPG keys

#5 - 04/19/2021 02:39 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#6 - 04/19/2021 03:01 PM - Leos Stejskal

- Status changed from Ready For Testing to Closed
Applied in changeset foreman|8c84f4f59ae3c937e258568ec962a872f2a8dc65.
